LibreOffice: ListPositionCellBinding Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | List of all members
ListPositionCellBinding Service Reference

defines the binding to a single cell in a table document, which can be used to transfer a list position into the cell. More...

Inheritance diagram for ListPositionCellBinding:

## Included Services
service | CellValueBinding
| provides the basic functionality for exchanging values with a table cell.
Included Services inherited from CellValueBinding
service | com::sun::star::form::binding::ValueBinding
| ensures the basic functionality for binding to a value

## Additional Inherited Members
Exported Interfaces inherited from CellValueBinding
interface | com::sun::star::util::XModifyBroadcaster
| allows notifications of changes in the content of the underlying cell.
interface | com::sun::star::lang::XInitialization
| allows setting initial, creation-time properties of the component
Exported Interfaces inherited from ValueBinding
interface | com::sun::star::beans::XPropertySet
| allows access to the properties of the binding
interface | XValueBinding
| allows read and write access to the value represented by this binding
interface | com::sun::star::util::XModifyBroadcaster
| allows other components to be notified when the value represented by the ValueBinding instance changes.
interface | com::sun::star::lang::XComponent
| allows life time control for the component
Public Member Functions inherited from XValueBinding
sequence< type > | getSupportedValueTypes ()
| determines the types which are supported by this binding for value exchange
boolean | supportsType ([in] type aType)
| determines whether a given type is supported by this binding for value exchange
any | getValue ([in] type aType) raises ( IncompatibleTypesException )
| retrieves the current value
void | setValue ([in] any aValue) raises ( IncompatibleTypesException, InvalidBindingStateException, com::sun::star::lang::NoSupportException )
| sets the current value
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.
Public Attributes inherited from CellValueBinding
com::sun::star::table::CellAddress | BoundCell
| specifies the cell within a document whose value is reflected by the binding.
Public Attributes inherited from ValueBinding
boolean | ReadOnly
| determines whether the value is currently readonly
boolean | Relevant
| determines the relevance of the value represented by the binding
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XValueBinding
sequence< type > | getSupportedValueTypes ()
| determines the types which are supported by this binding for value exchange
boolean | supportsType ([in] type aType)
| determines whether a given type is supported by this binding for value exchange
any | getValue ([in] type aType) raises ( IncompatibleTypesException )
| retrieves the current value
void | setValue ([in] any aValue) raises ( IncompatibleTypesException, InvalidBindingStateException, com::sun::star::lang::NoSupportException )
| sets the current value
Protected Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

defines the binding to a single cell in a table document, which can be used to transfer a list position into the cell.

## Exported Interfaces

## ◆ CellValueBinding

service CellValueBinding

provides the basic functionality for exchanging values with a table cell.

Additionally to the types supported by the super service, the ListPositionCellBinding allows exchanging integer values.

See also
  com::sun::star::form::binding::XValueBinding::getSupportedTypes

The documentation for this service was generated from the following file:

- com/sun/star/table/ListPositionCellBinding.idl